Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.ui.frameworks.taskwizard
Class BirtTitleAreaDialog

    java.lang.Object
      TrayDialog
          org.eclipse.birt.core.ui.frameworks.taskwizard.BirtTitleAreaDialog

Direct Known Subclasses:
  WizardBaseDialog

    public class BirtTitleAreaDialog

extends TrayDialog

A dialog that has a title area for displaying a title and an image as well as a common area for displaying a description, a message, or an error message.

This dialog class may be subclassed.

The class is transformed from `org.eclipse.jface.dialogs.TigleAreaDialog` and can limit the width of message label.

Field Summary
`static java.lang.String` | `DLG_IMG_TITLE_BANNER` Image registry key for banner image (value `"dialog_title_banner_image"`).
`static java.lang.String` | `DLG_IMG_TITLE_ERROR` Image registry key for error message image.
`static java.lang.String` | `INFO_MESSAGE` Deprecated.
`static java.lang.String` | `WARNING_MESSAGE` Deprecated.

Constructor Summary
`BirtTitleAreaDialog(Shell parentShell)` Instantiate a new title area dialog.
`BirtTitleAreaDialog(Shell parentShell, int msgLabelWidth)` Instantiate a new title area dialog.

Method Summary
`protected Control` | `createContents(Composite parent)`
`protected Control` | `createDialogArea(Composite parent)` Creates and returns the contents of the upper part of this dialog (above the button bar).
`protected Point` | `getInitialSize()` The `TitleAreaDialog` implementation of this `Window` methods returns an initial size which is at least some reasonable minimum.
`protected Composite` | `getTitleArea()` Deprecated.
`protected Label` | `getTitleImageLabel()` Returns the title image label.
`void` | `setErrorMessage(java.lang.String newErrorMessage)` Display the given error message.
`void` | `setMessage(java.lang.String newMessage)` Set the message text.
`void` | `setMessage(java.lang.String newMessage, int newType)` Sets the message for this dialog with an indication of what type of message it is.
`void` | `setTitle(java.lang.String newTitle)` Sets the title to be shown in the title area of this dialog.
`void` | `setTitleAreaColor(RGB color)` Sets the title bar color for this dialog.
`void` | `setTitleImage(Image newTitleImage)` Sets the title image to be shown in the title area of this dialog.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DLG_IMG_TITLE_ERROR

    public static final java.lang.String DLG_IMG_TITLE_ERROR

  Image registry key for error message image.

### DLG_IMG_TITLE_BANNER

    public static final java.lang.String DLG_IMG_TITLE_BANNER

  Image registry key for banner image (value `"dialog_title_banner_image"`).

  See Also:
    Constant Field Values

### INFO_MESSAGE

    public static final java.lang.String INFO_MESSAGE

  Deprecated.
  Message type constant used to display an info icon with the message.

  Since:
    2.0
  See Also:
    Constant Field Values

### WARNING_MESSAGE

    public static final java.lang.String WARNING_MESSAGE

  Deprecated.
  Message type constant used to display a warning icon with the message.

  Since:
    2.0
  See Also:
    Constant Field Values

Constructor Detail

### BirtTitleAreaDialog

    public BirtTitleAreaDialog(Shell parentShell)

  Instantiate a new title area dialog.

  Parameters:
    `parentShell` - the parent SWT shell

### BirtTitleAreaDialog

    public BirtTitleAreaDialog(Shell parentShell,
                               int msgLabelWidth)

  Instantiate a new title area dialog.

  Parameters:
    `parentShell` - the parent SWT shell
    `msgLabelWidth` - width of message label.

Method Detail

### createContents

    protected Control createContents(Composite parent)

### createDialogArea

    protected Control createDialogArea(Composite parent)

  Creates and returns the contents of the upper part of this dialog (above the button bar).

  The `Dialog` implementation of this framework method creates and returns a new `Composite` with no margins and spacing. Subclasses should override.

  Parameters:
    `parent` - The parent composite to contain the dialog area
  Returns:
    the dialog area control

### getInitialSize

    protected Point getInitialSize()

  The `TitleAreaDialog` implementation of this `Window` methods returns an initial size which is at least some reasonable minimum.

  Returns:
    the initial size of the dialog

### getTitleArea

    protected Composite getTitleArea()

  Deprecated.

  Retained for backward compatibility. Returns the title area composite. There is no composite in this implementation so the shell is returned.

  Returns:
    Composite

### getTitleImageLabel

    protected Label getTitleImageLabel()

  Returns the title image label.

  Returns:
    the title image label

### setErrorMessage

    public void setErrorMessage(java.lang.String newErrorMessage)

  Display the given error message. The currently displayed message is saved and will be redisplayed when the error message is set to `null`.

  Parameters:
    `newErrorMessage` - the newErrorMessage to display or `null`

### setMessage

    public void setMessage(java.lang.String newMessage)

  Set the message text. If the message line currently displays an error, the message is saved and will be redisplayed when the error message is set to `null`.

  Shortcut for `setMessage(newMessage, IMessageProvider.NONE)`

  This method should be called after the dialog has been opened as it updates the message label immediately.

  Parameters:
    `newMessage` - the message, or `null` to clear the message

### setMessage

    public void setMessage(java.lang.String newMessage,
                           int newType)

  Sets the message for this dialog with an indication of what type of message it is.

  The valid message types are one of `NONE`, `INFORMATION`,`WARNING`, or `ERROR`.

  Note that for backward compatibility, a message of type `ERROR` is different than an error message (set using `setErrorMessage`). An error message overrides the current message until the error message is cleared. This method replaces the current message and does not affect the error message.

  Parameters:
    `newMessage` - the message, or `null` to clear the message
    `newType` - the message type
  Since:
    2.0

### setTitle

    public void setTitle(java.lang.String newTitle)

  Sets the title to be shown in the title area of this dialog.

  Parameters:
    `newTitle` - the title show

### setTitleAreaColor

    public void setTitleAreaColor(RGB color)

  Sets the title bar color for this dialog.

  Parameters:
    `color` - the title bar color

### setTitleImage

    public void setTitleImage(Image newTitleImage)

  Sets the title image to be shown in the title area of this dialog.

  Parameters:
    `newTitleImage` - the title image to be shown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.